Loading...
Searching...
No Matches
su_source.c File Reference

Wrapper for glib GSource. More...

`#include "config.h"`
`#include <glib.h>`
`#include "sofia-sip/su_source.h"`
`#include "sofia-sip/su_glib.h"`
`#include "sofia-sip/su.h"`
`#include "su_port.h"`
`#include "sofia-sip/su_alloc.h"`
`#include <stdlib.h>`
`#include <assert.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <limits.h>`
Include dependency graph for su_source.c:

## Data Structures

struct | su_source_s
| Port is a per-thread reactor. More...

## Functions

su_root_t * | su_glib_root_create (su_root_magic_t *magic)
| Create a root that uses GSource as reactor.
su_root_t * | su_root_source_create (su_root_magic_t *magic)
| Deprecated.
GSource * | su_glib_root_gsource (su_root_t *root)
| Returns a GSource object for the root.
void | su_glib_prefer_gsource (void)
| Use su_source implementation when su_root_create() is called.

## Detailed Description

Wrapper for glib GSource.

Refs:

- http://sofia-sip.sourceforge.net/refdocs/su/group__su__wait.html
- http://developer.gnome.org/doc/API/glib/glib-the-main-event-loop.html

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com.

Date
  Created: Thu Mar 4 15:15:15 2004 ppessi

## Function Documentation

## su_glib_prefer_gsource()

void su_glib_prefer_gsource | ( | void |  | ) |

Use su_source implementation when su_root_create() is called.

Since
  New in 1.12.5

## su_glib_root_gsource()

GSource * su_glib_root_gsource | ( | su_root_t * | root | ) |

Returns a GSource object for the root.

Note that you need to unref the GSource with g_source_unref() before destroying the root object.

Returns
  NULL on error (for instance if root was not created with su_glib_root_create())

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.